/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : Cpu.h
**     Project     : ProcessorExpert
**     Processor   : MCF51MM256VLL
**     Component   : MCF51MM256_100
**     Version     : Component 01.003, Driver 01.12, CPU db: 3.00.019
**     Datasheet   : MCF51MM256RM Rev. 3
**     Compiler    : CodeWarrior ColdFireV1 C Compiler
**     Date/Time   : 2012-11-14, 08:28, # CodeGen: 10
**     Abstract    :
**         This component "MCF51MM256_100" contains initialization of the
**         CPU and provides basic methods and events for CPU core
**         settings.
**     Settings    :
**
**     Contents    :
**         EnableInt  - void Cpu_EnableInt(void);
**         DisableInt - void Cpu_DisableInt(void);
**         Delay100US - void Cpu_Delay100US(word us100);
**
**     Copyright : 1997 - 2012 Freescale, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __Cpu
#define __Cpu

/* MODULE Cpu. */
/* pragma to disable "possibly unassigned ISR handler" message generated by compiler on definition of ISR without vector number */
#pragma warn_absolute off

/* Active configuration define symbol */
#define PEcfg_Debug_51MM256VLL 1U

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"



#define CPU_BUS_CLK_HZ              0x016E3600UL /* Initial value of the bus clock frequency in Hz */

#define CPU_INSTR_CLK_HZ            0x016E3600UL /* Initial value of the instruction clock frequency in Hz */

#define CPU_EXT_CLK_HZ              0x00F42400UL /* Value of the main clock frequency (crystal or external clock) in Hz */
#define CPU_INT_CLK_HZ              0x8000UL /* Value of the internal oscillator clock frequency in Hz */

#define CPU_TICK_NS                 0x3EU /* CPU tick is a unit derived from the frequency of external clock source. If no external clock is enabled or available it is derived from the value of internal clock source. The value of this constant represents period of the clock source in ns. */

#define CPU_CORE_ColdFireV1            /* Specification of the core type of the selected cpu */
#define CPU_DERIVATIVE_MCF51MM256      /* Name of the selected cpu derivative */
#define CPU_PARTNUM_MCF51MM256VLL      /* Part number of the selected cpu */

/* Global variables */
extern volatile far word SR_reg;       /* Current CCR reegister */
extern volatile byte SR_lock;




__interrupt void Cpu_ivVaccerr(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVaccerr (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVadderr(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVadderr (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivViinstr(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivViinstr (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved5(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved5 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved6(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved6 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved7(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved7 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVprviol(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVprviol (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrace(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrace (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVunilaop(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVunilaop (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVunilfop(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVunilfop (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVdbgi(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVdbgi (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved13(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved13 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVferror(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVferror (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved15(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved15 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved16(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved16 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved17(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved17 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved18(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved18 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved19(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved19 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved20(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved20 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved21(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved21 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved22(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved22 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved23(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved23 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVspuri(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVspuri (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved25(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved25 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved26(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved26 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved27(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved27 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved28(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved28 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved29(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved29 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved30(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved30 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved31(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved31 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap0(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap0 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap1(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap1 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap2(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap2 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap3(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap3 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap4(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap4 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap5(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap5 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap6(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap6 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap7(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap7 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap8(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap8 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap9(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap9 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap10(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap10 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap11(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap11 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap12(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap12 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap13(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap13 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap14(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap14 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtrap15(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtrap15 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved48(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved48 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved49(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved49 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved50(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved50 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved51(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved51 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved52(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved52 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved53(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved53 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved54(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved54 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved55(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved55 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved56(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved56 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved57(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved57 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved58(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved58 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved59(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved59 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved60(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved60 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVunsinstr(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVunsinstr (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved62(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved62 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved63(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved63 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVirq(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVirq (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVlvd(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVlvd (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVlol(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVlol (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved67(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved67 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVpdb(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVpdb (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVdac(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVdac (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVspi1(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVspi1 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVadc(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVadc (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm1ch0(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm1ch0 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm1ch1(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm1ch1 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm1ch2(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm1ch2 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm1ch3(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm1ch3 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm1ovf(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm1ovf (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVspi2(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVspi2 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVcmt(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVcmt (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm2ch0(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm2ch0 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm2ch1(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm2ch1 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm2ch2(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm2ch2 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm2ch3(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm2ch3 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtpm2ovf(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtpm2ovf (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivViic(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivViic (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVpracmp(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVpracmp (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVsci1err(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVsci1err (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVsci1rx(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVsci1rx (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVsci1tx(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVsci1tx (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVsci2err(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVsci2err (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVsci2rx(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVsci2rx (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVsci2tx(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVsci2tx (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved93(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved93 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved94(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved94 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVkbi1(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVkbi1 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVkbi2(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVkbi2 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVtod(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVtod (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved98(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved98 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved99(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved99 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved100(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved100 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved101(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved101 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved102(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved102 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVL7swi(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVL7swi (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVL6swi(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVL6swi (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVL5swi(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVL5swi (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVL4swi(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVL4swi (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVL3swi(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVL3swi (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVL2swi(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVL2swi (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVL1swi(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVL1swi (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved110(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved110 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved111(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved111 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVftsr1(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVftsr1 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVftsr2(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVftsr2 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

__interrupt void Cpu_ivVReserved114(void);
/*
** ===================================================================
**     Method      :  Cpu_Cpu_ivVReserved114 (component MCF51MM256_100)
**
**     Description :
**         This ISR services an unused interrupt/exception vector.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

void __initialize_hardware(void);
/*
** ===================================================================
**     Method      :  __initialize_hardware (component MCF51MM256_100)
**
**     Description :
**         Configure the basic system functions (timing, etc.).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

 __declspec(register_abi) void Cpu_Delay100US(word us100:__D0);
/*
** ===================================================================
**     Method      :  Cpu_Delay100US (component MCF51MM256_100)
**
**     Description :
**         This method realizes software delay. The length of delay is
**         at least 100 microsecond multiply input parameter [us100].
**         As the delay implementation is not based on real clock, the
**         delay time may be increased by interrupt service routines
**         processed during the delay. The method is independent on
**         selected speed mode.
**     Parameters  :
**         NAME            - DESCRIPTION
**         us100           - Number of 100 us delay repetitions.
**     Returns     : Nothing
** ===================================================================
*/

#define   Cpu_DisableInt() asm {move.w SR,D0; ori.l #0x0700,D0; move.w D0,SR;} /* Disable interrupts */
/*
** ===================================================================
**     Method      :  Cpu_DisableInt (component MCF51MM256_100)
**
**     Description :
**         Disables maskable interrupts
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define   Cpu_EnableInt()  asm {move.w SR,D0; andi.l #0xF8FF,D0; move.w D0,SR;} /* Enable interrupts */
/*
** ===================================================================
**     Method      :  Cpu_EnableInt (component MCF51MM256_100)
**
**     Description :
**         Enables maskable interrupts
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

void PE_low_level_init(void);
/*
** ===================================================================
**     Method      :  PE_low_level_init (component MCF51MM256_100)
**
**     Description :
**         Initializes components and provides common register 
**         initialization. The method is called automatically as a part 
**         of the application initialization code.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

/* END Cpu. */

#endif
/* ifndef __Cpu */
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.0 [05.03]
**     for the Freescale ColdFireV1 series of microcontrollers.
**
** ###################################################################
*/
