/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : LED4.h
**     Project     : ProcessorExpert
**     Processor   : MCF51MM256VLL
**     Component   : LED
**     Version     : Component 01.047, Driver 01.00, CPU db: 3.00.019
**     Compiler    : CodeWarrior ColdFireV1 C Compiler
**     Date/Time   : 2012-11-14, 08:28, # CodeGen: 10
**     Abstract    :
**
**     Settings    :
**
**     Contents    :
**         On     - void LED4_On(void);
**         Off    - void LED4_Off(void);
**         Neg    - void LED4_Neg(void);
**         Get    - byte LED4_Get(void);
**         Put    - void LED4_Put(byte val);
**         Init   - void LED4_Init(void);
**         Deinit - void LED4_Deinit(void);
**
**     License   :  Open Source (LGPL)
**     Copyright : (c) Copyright Erich Styger, 2012, all rights reserved.
**     This an open source software implementing an LED driver using Processor Expert.
**     This is a free software and is opened for education,  research and commercial developments under license policy of following terms:
**     * This is a free software and there is NO WARRANTY.
**     * No restriction on use. You can use, modify and redistribute it for personal, non-profit or commercial product UNDER YOUR RESPONSIBILITY.
**     * Redistributions of source code must retain the above copyright notice.
** ###################################################################*/

#ifndef __LED4_H
#define __LED4_H

/* MODULE LED4. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */
#include "LEDpin4.h"

#include "Cpu.h"

#define LED4_ClrVal()    LEDpin4_ClrVal() /* put the pin on low level */
#define LED4_SetVal()    LEDpin4_SetVal() /* put the pin on high level */
#define LED4_SetInput()  LEDpin4_SetInput() /* use the pin as input pin */
#define LED4_SetOutput() LEDpin4_SetOutput() /* use the pin as ouput pin */


#define LED4_On() LEDpin4_SetVal()
/*
** ===================================================================
**     Method      :  LED4_On (component LED)
**
**     Description :
**         This turns the LED on.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LED4_Off() LEDpin4_ClrVal()
/*
** ===================================================================
**     Method      :  LED4_Off (component LED)
**
**     Description :
**         This turns the LED off.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LED4_Neg() LEDpin4_NegVal()
/*
** ===================================================================
**     Method      :  LED4_Neg (component LED)
**
**     Description :
**         This negates/toggles the LED
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LED4_Get() LEDpin4_GetVal()
/*
** ===================================================================
**     Method      :  LED4_Get (component LED)
**
**     Description :
**         This returns logical 1 in case the LED is on, 0 otherwise.
**     Parameters  : None
**     Returns     :
**         ---             - Status of the LED (on or off)
** ===================================================================
*/

#define LED4_Init() LED4_Off()
/*
** ===================================================================
**     Method      :  LED4_Init (component LED)
**
**     Description :
**         Performs the LED driver initialization.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LED4_Put(val)  ((val) ? LED4_On() : LED4_Off())
/*
** ===================================================================
**     Method      :  LED4_Put (component LED)
**
**     Description :
**         Turns the LED on or off.
**     Parameters  :
**         NAME            - DESCRIPTION
**         val             - value to define if the LED has to be on or
**                           off.
**     Returns     : Nothing
** ===================================================================
*/

void LED4_Deinit(void);
/*
** ===================================================================
**     Method      :  LED4_Deinit (component LED)
**
**     Description :
**         Deinitializes the driver
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END LED4. */

#endif
/* ifndef __LED4_H */
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.0 [05.03]
**     for the Freescale ColdFireV1 series of microcontrollers.
**
** ###################################################################
*/
