/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : USB1.c
**     Project     : ProcessorExpert
**     Processor   : MCF51MM256VLL
**     Component   : FSL_USB_Stack
**     Version     : Component 01.009, Driver 01.00, CPU db: 3.00.019
**     Compiler    : CodeWarrior ColdFireV1 C Compiler
**     Date/Time   : 2012-11-14, 08:28, # CodeGen: 10
**     Abstract    :
**
**     Settings    :
**
**     Contents    :
**         Init - byte USB1_Init(void);
**
**     (c) Copyright Freescale, all rights reserved, 2012
**     Ported as Processor Expert component: Erich Styger
**     http: www.freescale.com
** ###################################################################*/

/* MODULE USB1. */

#include "Events.h"
#include "USB1.h"
#include "derivative.h"     /* include peripheral declarations */
#include "types.h"          /* Contains User Defined Data Types */

/* special variables for MCF51MM256 */
volatile uint8_t USB1_usb_int_disable = 0;
volatile uint8_t USB1_usb_int_en_copy = 0;

/*
** ===================================================================
**     Method      :  USB1_usb_int_dis (component FSL_USB_Stack)
**
**     Description :
**         Disables USB interrupts (if supported)
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/
void USB1_usb_int_dis(void)
{
  USB1_usb_int_disable++;
}

/*
** ===================================================================
**     Method      :  USB1_usb_int_en (component FSL_USB_Stack)
**
**     Description :
**         Enables USB interrupts (if supported).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/
void USB1_usb_int_en(void)
{
  /* MCF51MM256 */
  volatile uint_8 dummy;

  if (USB1_usb_int_disable) {
    USB1_usb_int_disable--;
  }
  if (INT_ENB == 0) {
    if (USB1_usb_int_disable == 0) {
      dummy = USB1_usb_int_en_copy;
      USB1_usb_int_en_copy = 0;
      INT_ENB = dummy;
    }
  }
}

/*
** ===================================================================
**     Method      :  USB1_Init (component FSL_USB_Stack)
**
**     Description :
**         Initializes the driver
**     Parameters  : None
**     Returns     :
**         ---             - Error code
** ===================================================================
*/
byte USB1_Init(void)
{
  byte err;

  USB1_usb_int_dis();
  /* Initialize the USB interface */
  err = CDC1_Init();
  if(err != ERR_OK) {
    /* Error initializing USB Class */
    USB1_OnError(USB1_USB_ERR_INIT);
    return ERR_FAILED;
  }
  USB1_usb_int_en();
  return ERR_OK;
}

/* END USB1. */

/*
** ###################################################################
**
**     This file was created by Processor Expert 10.0 [05.03]
**     for the Freescale ColdFireV1 series of microcontrollers.
**
** ###################################################################
*/
