/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : USB1.h
**     Project     : ProcessorExpert
**     Processor   : MCF51MM256VLL
**     Component   : FSL_USB_Stack
**     Version     : Component 01.009, Driver 01.00, CPU db: 3.00.019
**     Compiler    : CodeWarrior ColdFireV1 C Compiler
**     Date/Time   : 2012-11-14, 08:28, # CodeGen: 10
**     Abstract    :
**
**     Settings    :
**
**     Contents    :
**         Init - byte USB1_Init(void);
**
**     (c) Copyright Freescale, all rights reserved, 2012
**     Ported as Processor Expert component: Erich Styger
**     http: www.freescale.com
** ###################################################################*/

#ifndef __USB1_H
#define __USB1_H

/* MODULE USB1. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */
#include "USBInit1.h"
#include "CDC1.h"
#include <stddef.h> /* for size_t */

/* Interfaces/wrappers to the CDC device class, needed by FSShell: */
#define USB1_SendString(str)   CDC1_SendString(str)
#define USB1_RecvChar(chr)     CDC1_GetChar(chr)
#define USB1_SendChar(chr)     CDC1_SendChar(chr)
#define USB1_GetCharsInRxBuf() CDC1_GetCharsInRxBuf()

#include "Cpu.h"


#ifndef __BWUserType_USB1_TComData
#define __BWUserType_USB1_TComData
  typedef byte USB1_TComData ;         /* User type for communication data type. */
#endif

/*
   DATA_BUFF_SIZE should be greater than or equal to the endpoint buffer size,
   otherwise there will be data loss. For MC9S08JS16, maximum DATA_BUFF_SIZE
   supported is 16 Bytes
*/
#define USB1_DATA_BUFF_SIZE    64

#define USB1_USB_ERR_SEND            1  /* Error while sending */
#define USB1_USB_ERR_BUSOFF          2  /* Bus not ready */
#define USB1_USB_ERR_INIT            3  /* USB initialization error */
#define USB1_USB_ERR_TX_CHAR         4  /* Error sending character */
#define USB1_USB_ERR_TX_STRING       5  /* Error sending string */
#define USB1_USB_ERR_CHECKED_TXFULL  6  /* Error during sending a checked block */
#define USB1_USB_ERR_RECEIVE         7  /* Error while starting an receive transaction */

/* special USB interrupt handling for MCF51MM256 */
extern volatile uint8_t USB1_usb_int_disable;
extern volatile uint8_t USB1_usb_int_en_copy;

byte USB1_Init(void);
/*
** ===================================================================
**     Method      :  USB1_Init (component FSL_USB_Stack)
**
**     Description :
**         Initializes the driver
**     Parameters  : None
**     Returns     :
**         ---             - Error code
** ===================================================================
*/

void USB1_usb_int_dis(void);
/*
** ===================================================================
**     Method      :  USB1_usb_int_dis (component FSL_USB_Stack)
**
**     Description :
**         Disables USB interrupts (if supported)
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

void USB1_usb_int_en(void);
/*
** ===================================================================
**     Method      :  USB1_usb_int_en (component FSL_USB_Stack)
**
**     Description :
**         Enables USB interrupts (if supported).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

/* END USB1. */

#endif
/* ifndef __USB1_H */
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.0 [05.03]
**     for the Freescale ColdFireV1 series of microcontrollers.
**
** ###################################################################
*/
